#!/bin/sh
# Crea base de datos, tablas y datos iniciales
# Dominio público. Sin garantías. 2004.  vtamara@users.sourceforge.net
# Basado en script de dominio público de 
# 	http://structio.sourceforge.net/seguidor

if (test ! -f vardb.sh) then {
	echo "Ejecute desde el directorio con fuentes";
} fi;
. ./vardb.sh

if (test "${RUTASQL}" != "") then {
	echo "RUTASQL=${RUTASQL}";
} fi;
echo "Advertencia: este script borrara la información existente en "
echo "la base '$dbnombre' del usuario '$dbusuario'";
echo "Presione [Enter] para continuar o detenga con [Ctrl]+[C]";
read;

dropdb $socketopt -U $dbusuario $dbnombre; 
# Si cambiamos a UTF8 las cadenas de la base presentadas por la interfaz 
# PHP deben utf8_decode y antes de salvarlas deben utf8_encode
createdb --encoding=LATIN1 $socketopt -U $dbusuario $dbnombre;
if (test ! -f ${RUTASQL}estructura.sql) then {
	echo "Debe haber un script ${RUTASQL}estructura.sql que cree tablas";
	exit 1;
} fi;
psql $socketopt -U $dbusuario -d $dbnombre -f ${RUTASQL}estructura.sql;

if (test "$SIN_DATOS" = "1") then {
	exit 0;
} fi;

if (test -f ${RUTASQL}datos-us.sql) then {
	psql $socketopt -U $dbusuario -d $dbnombre -f ${RUTASQL}datos-us.sql;
} fi;
if (test -f ${RUTASQL}datos-geo-col.sql) then {
	psql $socketopt -U $dbusuario -d $dbnombre -f ${RUTASQL}datos-geo-col.sql;
} fi;
if (test -f ${RUTASQL}datos-implicado.sql) then {
	psql $socketopt -U $dbusuario -d $dbnombre -f ${RUTASQL}datos-implicado.sql;
} fi;
if (test -f ${RUTASQL}datos-caso.sql) then {
	psql $socketopt -U $dbusuario -d $dbnombre -f ${RUTASQL}datos-caso.sql;
} fi;
if (test -f ${RUTASQL}datos-fuente.sql) then {
	psql $socketopt -U $dbusuario -d $dbnombre -f ${RUTASQL}datos-fuente.sql;
} fi;
if (test -f ${RUTASQL}datos-sivel.sql) then {
	psql $socketopt -U $dbusuario -d $dbnombre -f ${RUTASQL}datos-sivel.sql;
} fi;

if (test -f priv/datos.sql) then {
	psql $socketopt -U $dbusuario -d $dbnombre -f priv/datos.sql;
} fi;

